## python-av 8.0.2

=== tests/requirements.txt ===
autopep8
Cython
editorconfig
flake8
isort
numpy
Pillow
sphinx

=== debian/changelog ===
python-av (8.0.2-2) unstable; urgency=medium

  * simplify source script copyright-chceck
  * copyright: update coverage
  * fix modernize test skipping syntax;
    closes: bug#977084, thanks to Christian Kastner
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2020 00:56:20 +0100

python-av (8.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update Homepage and Source URLs
  * enable autopgktest testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 09:12:44 +0200

python-av (8.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tidy generated whitespace in rules file
  * add TODO file, mentioning pending testsuite improvement
  * avoid shipping sandbox test files

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2020 11:54:06 +0200

python-av (7.0.1+20200415-1) unstable; urgency=low

  * initial packaging
    closes: bug#921690

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Apr 2020 18:31:09 +0200

=== debian/control ===
Source: python-av
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 ca-certificates <!nocheck>,
 cython3,
 debhelper-compat (= 12),
 dh-sequence-python3,
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libswscale-dev,
 pkg-config,
 python3-all-dev,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/python-av.git
Vcs-Browser: https://salsa.debian.org/debian/python-av
Homepage: https://pyav.org/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-av
Architecture: any
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
Description: pythonic bindings for FFmpeg's libraries
 PyAV is a Pythonic binding for the FFmpeg libraries,
 aiming to provide all of the power and control
 of the underlying library,
 but manage the gritty details as much as possible.
 .
 PyAV is for direct and precise access
 to your media via containers, streams, packets, codecs, and frames.
 It exposes a few transformations of that data,
 and helps you get your data to/from other packages
 (e.g. Numpy and Pillow).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# detect if build targets experimental suite (or is a draft)
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# avoid shipping sandbox test files
export DH_OPTIONS = -O--buildsystem=pybuild

BROKEN_TESTFILES = \
 tests/test_doctests.py \
 tests/test_timeout.py
BROKEN_TESTS = \
 test_audio_transcode \
 test_container_probing \
 test_context_manager \
 test_data \
 test_decode_audio_sample_count \
 test_decoded_motion_vectors \
 test_decoded_time_base \
 test_decoded_video_frame_count \
 test_decode_half \
 test_deprecated_stream_seek \
 test_encoding \
 test_movtext \
 test_parse \
 test_reading \
 test_seek_end \
 test_seek_float \
 test_seek_int64 \
 test_seek_middle \
 test_seek_start \
 test_selection \
 test_stream_probing \
 test_stream_seek \
 test_stream_tuples \
 test_vobsub
export PYBUILD_TEST_ARGS = \
 $(patsubst %,--ignore=%,$(BROKEN_TESTFILES)) \
 -k 'not $(subst $() , and not ,$(strip $(BROKEN_TESTS)))' \
 $(if $(DEB_SUITE_EXP),|| true)

# avoid shipping sandbox test files
override_dh_auto_install:
	dh_auto_install
	find debian/*/usr/lib -path '*/sandbox*' -delete

%:
	dh $@

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/PyAV-Org/pyav-ffmpeg/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-av 8.1.0

=== Makefile ===
LDFLAGS ?= ""
CFLAGS ?= "-O0"

PYAV_PYTHON ?= python
PYTHON := $(PYAV_PYTHON)


.PHONY: default build cythonize clean clean-all info lint test fate-suite test-assets docs

default: build


build:
	CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) $(PYTHON) setup.py build_ext --inplace --debug

cythonize:
	$(PYTHON) setup.py cythonize



wheel: build-mingw32
	$(PYTHON) setup.py bdist_wheel

build-mingw32:
	# before running, set PKG_CONFIG_PATH to the pkgconfig dir of the ffmpeg build.
	# set PKG_CONFIG_PATH=D:\dev\3rd\media-autobuild_suite\local32\bin-video\ffmpegSHARED\lib\pkgconfig
	CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) $(PYTHON) setup.py build_ext --inplace -c mingw32
	mv *.pyd av



fate-suite:
	# Grab ALL of the samples from the ffmpeg site.
	rsync -vrltLW rsync://fate-suite.ffmpeg.org/fate-suite/ tests/assets/fate-suite/

lint:
	TESTSUITE=flake8 scripts/test
	TESTSUITE=isort scripts/test

test:
	$(PYTHON) setup.py test



vagrant:
	vagrant box list | grep -q precise32 || vagrant box add precise32 http://files.vagrantup.com/precise32.box

vtest:
	vagrant ssh -c /vagrant/scripts/vagrant-test



tmp/ffmpeg-git:
	@ mkdir -p tmp/ffmpeg-git
	git clone --depth=1 git://source.ffmpeg.org/ffmpeg.git tmp/ffmpeg-git

tmp/Doxyfile: tmp/ffmpeg-git
	cp tmp/ffmpeg-git/doc/Doxyfile $@
	echo "GENERATE_TAGFILE = ../tagfile.xml" >> $@

tmp/tagfile.xml: tmp/Doxyfile
	cd tmp/ffmpeg-git; doxygen ../Doxyfile

docs: tmp/tagfile.xml
	PYTHONPATH=.. make -C docs html

deploy-docs: docs
	./docs/upload docs




clean-build:
	- rm -rf build
	- find av -name '*.so' -delete

clean-sandbox:
	- rm -rf sandbox/201*
	- rm sandbox/last

clean-src:
	- rm -rf src

clean-docs:
	- rm tmp/Doxyfile
	- rm tmp/tagfile.xml
	- make -C docs clean

clean: clean-build clean-sandbox clean-src
clean-all: clean-build clean-sandbox clean-src clean-docs

=== debian/changelog ===
python-av (8.1.0-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:01:48 +0000

python-av (8.1.0-3) unstable; urgency=medium

  * update copyright info:
    + use single Reference field for multiple entries
  * enable checking tests previously failing on bigendian hosts

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2022 13:14:03 +0100

python-av (8.1.0-2) unstable; urgency=medium

  * add patch proposed upstream
    to fix ndarray conversion endianness

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Feb 2022 12:46:47 +0100

python-av (8.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * skip one test also for ppc64 (not only ppc64el);
    see <https://github.com/PyAV-Org/PyAV/issues/834>
  * omit another net-requiring test
  * fix mark net-requiring tests with needs-internet
    (in addition to flaky)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2022 19:21:33 +0100

python-av (8.0.3-3) unstable; urgency=medium

  * skip tests conditionally for bigendian archs (not only s390x);
    see <https://github.com/PyAV-Org/PyAV/issues/833>
  * add autopkgtest
  * stop build-depend on ca-certificates,
    only needed for checking omitted network tests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Dec 2021 09:48:51 +0100

python-av (8.0.3-2) unstable; urgency=medium

  * skip tests conditionally for ppc64el and s390x;
    see <https://github.com/PyAV-Org/PyAV/issues/834>
    and <https://github.com/PyAV-Org/PyAV/issues/833>
  * update copyright info:
    + use Reference field (not License-Reference)
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Dec 2021 20:46:24 +0100

python-av (8.0.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info: fix Source and Upstream-Contact URLs
  * watch file: fix upstream source URL
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 15:31:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- ca-certificates <!nocheck>,
  cython3,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
  libavcodec-dev,
  libavdevice-dev,
@@ -18,7 +17,7 @@
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/python-av.git
 Vcs-Browser: https://salsa.debian.org/debian/python-av
 Homepage: https://pyav.org/

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
  tests/test_timeout.py
 BROKEN_TESTS = \
  test_audio_transcode \
+ test_codec_tag \
  test_container_probing \
  test_context_manager \
  test_data \
@@ -36,14 +37,20 @@
  test_stream_seek \
  test_stream_tuples \
  test_vobsub
+
+# https://github.com/PyAV-Org/PyAV/issues/834
+ifneq (,$(filter ppc64 ppc64el,$(DEB_HOST_ARCH)))
+BROKEN_TESTS += \
+ test_reformat_pixel_format_align
+endif
+
 export PYBUILD_TEST_ARGS = \
  $(patsubst %,--ignore=%,$(BROKEN_TESTFILES)) \
  -k 'not $(subst $() , and not ,$(strip $(BROKEN_TESTS)))' \
  $(if $(DEB_SUITE_EXP),|| true)
 
 # avoid shipping sandbox test files
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian/*/usr/lib -path '*/sandbox*' -delete
 
 %:

=== debian/tests/control ===
Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest --ignore=tests/test_doctests.py --ignore=tests/test_timeout.py -k 'not test_audio_transcode and not test_codec_tag and not test_container_probing and not test_context_manager and not test_data and not test_decode_audio_sample_count and not test_decoded_motion_vectors and not test_decoded_time_base and not test_decoded_video_frame_count and not test_decode_half and not test_deprecated_stream_seek and not test_encoding and not test_movtext and not test_parse and not test_reading and not test_seek_end and not test_seek_float and not test_seek_int64 and not test_seek_middle and not test_seek_start and not test_selection and not test_stream_probing and not test_stream_seek and not test_stream_tuples and not test_vobsub and not test_reformat_pixel_format_align';
 done
Depends:
 python3-av,
 python3-pytest,

Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest -k 'not test_reformat_pixel_format_align';
 done
Restrictions: flaky, needs-internet
Depends:
 ca-certificates,
 python3-av,
 python3-pytest,

## python-av 9.2.0

=== debian/changelog ===
python-av (9.2.0-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use pad count in alloc_filter_pads

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Aug 2022 16:13:13 +0200

python-av (9.2.0-2) unstable; urgency=medium

  * add patch cherry-picked upstream to support ffmpeg 5;
    closes: bug#1004776, thanks to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Aug 2022 16:05:10 +0200

python-av (9.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 May 2022 08:49:32 +0200

python-av (9.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * skip another network-requiring test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Apr 2022 23:23:23 +0200

python-av (9.0.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * ignore test failure on PowerPC arches
    (not skip failing test there)
    to help upstream debug the issue
  * work around resolving FFMpeg headers during cleanup

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Mar 2022 09:51:50 +0100

python-av (9.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Mar 2022 01:52:48 +0100

python-av (9.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Mar 2022 23:33:36 +0100

## python-av 10.0.0

=== docs/Makefile ===

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
BUILDDIR      = _build

ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .

.PHONY: clean html open upload default

default: html


TAGFILE := _build/doxygen/tagfile.xml
$(TAGFILE) :
	./generate-tagfile -o $(TAGFILE)


TEMPLATES := $(wildcard api/*.py development/*.py)
RENDERED := $(TEMPLATES:%.py=_build/rst/%.rst)
_build/rst/%.rst: %.py $(TAGFILE) $(shell find ../include ../av -name '*.pyx' -or -name '*.pxd')
	@ mkdir -p $(@D)
	python $< > $@.tmp
	mv $@.tmp $@


clean:
	- rm -rf $(BUILDDIR)/*

html: $(RENDERED) $(TAGFILE)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

test:
	PYAV_SKIP_DOXYLINK=1 $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest

open:
	open _build/html/index.html

upload:
	rsync -avxP --delete _build/html/ pyav.org:/srv/pyav.org/www/httpdocs/docs/develop/

=== tests/requirements.txt ===
autopep8
Cython
editorconfig
flake8
isort
numpy
Pillow
sphinx < 4.4

=== debian/changelog ===
python-av (10.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * declare compliance with Debian Policy 4.6.1
  * update copyright info: update coverage
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * build-depend on pybuild-plugin-pyproject

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Nov 2022 16:54:06 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  libavutil-dev,
  libswscale-dev,
  pkg-config,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/python-av.git
 Vcs-Browser: https://salsa.debian.org/debian/python-av
 Homepage: https://pyav.org/

=== debian/rules ===
--- 
+++ 
@@ -36,18 +36,19 @@
  test_stream_probing \
  test_stream_seek \
  test_stream_tuples \
+ test_transcode \
  test_vobsub
 
+# ignore test_reformat_pixel_format_align failing on PowerPC
 # https://github.com/PyAV-Org/PyAV/issues/834
-ifneq (,$(filter ppc64 ppc64el,$(DEB_HOST_ARCH)))
-BROKEN_TESTS += \
- test_reformat_pixel_format_align
-endif
-
 export PYBUILD_TEST_ARGS = \
  $(patsubst %,--ignore=%,$(BROKEN_TESTFILES)) \
  -k 'not $(subst $() , and not ,$(strip $(BROKEN_TESTS)))' \
- $(if $(DEB_SUITE_EXP),|| true)
+ $(if $(or $(DEB_SUITE_EXP),$(filter ppc64 ppc64el,$(DEB_HOST_ARCH))),|| true)
+
+# work around upstream resolving FFMpeg headers during cleanup
+# https://github.com/PyAV-Org/PyAV/issues/915
+export PYBUILD_CLEAN_ARGS = || true
 
 # avoid shipping sandbox test files
 execute_after_dh_auto_install:

=== debian/tests/control ===
Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest --ignore=tests/test_doctests.py --ignore=tests/test_timeout.py -k 'not test_audio_transcode and not test_codec_tag and not test_container_probing and not test_context_manager and not test_data and not test_decode_audio_sample_count and not test_decoded_motion_vectors and not test_decoded_time_base and not test_decoded_video_frame_count and not test_decode_half and not test_deprecated_stream_seek and not test_encoding and not test_movtext and not test_parse and not test_reading and not test_seek_end and not test_seek_float and not test_seek_int64 and not test_seek_middle and not test_seek_start and not test_selection and not test_stream_probing and not test_stream_seek and not test_stream_tuples and not test_transcode and not test_vobsub and not test_reformat_pixel_format_align';
 done
Depends:
 python3-av,
 python3-pytest,

Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest -k 'not test_reformat_pixel_format_align';
 done
Restrictions: flaky, needs-internet
Depends:
 ca-certificates,
 python3-av,
 python3-pytest,

## python-av 11.0.0

=== Makefile ===
LDFLAGS ?= ""
CFLAGS ?= "-O0"

PYAV_PYTHON ?= python
PYTHON := $(PYAV_PYTHON)


.PHONY: default build clean fate-suite lint test

default: build


build:
	CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) $(PYTHON) setup.py build_ext --inplace --debug

clean:
	- find av -name '*.so' -delete
	- rm -rf build
	- rm -rf sandbox
	- rm -rf src
	- make -C docs clean

fate-suite:
	# Grab ALL of the samples from the ffmpeg site.
	rsync -vrltLW rsync://fate-suite.ffmpeg.org/fate-suite/ tests/assets/fate-suite/

lint:
	black --check av examples tests
	flake8 av examples tests
	isort --check-only --diff av examples tests

test:
	$(PYTHON) setup.py test

=== docs/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 BUILDDIR      = _build
+FFMPEGDIR     = _ffmpeg
 
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .
 
@@ -12,7 +13,8 @@
 
 TAGFILE := _build/doxygen/tagfile.xml
 $(TAGFILE) :
-	./generate-tagfile -o $(TAGFILE)
+	git clone --depth=1 git://source.ffmpeg.org/ffmpeg.git $(FFMPEGDIR)
+	./generate-tagfile --library $(FFMPEGDIR) -o $(TAGFILE)
 
 
 TEMPLATES := $(wildcard api/*.py development/*.py)
@@ -24,7 +26,7 @@
 
 
 clean:
-	- rm -rf $(BUILDDIR)/*
+	rm -rf $(BUILDDIR) $(FFMPEGDIR)
 
 html: $(RENDERED) $(TAGFILE)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== tests/requirements.txt ===
autopep8
black
cython
editorconfig
flake8
isort
numpy
pillow
sphinx < 4.4

=== debian/changelog ===
python-av (11.0.0-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:48 +1100

python-av (11.0.0-4) unstable; urgency=medium

  * autopkgtest-depend on python3-all;
    closes: bug#1067142, thanks to Timo Röhling

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Mar 2024 23:38:16 +0100

python-av (11.0.0-3) unstable; urgency=medium

  * revert to build-depend on cython3
    (cython3 3.x supported since python-av 11.0.0).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jan 2024 11:11:42 +0100

python-av (11.0.0-2) unstable; urgency=medium

  * build-depend on cython3-legacy (not cython3);
    closes: bug#1056850,
    thanks to Matthias Klose and Sebastiaan Couwenberg
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jan 2024 10:38:58 +0100

python-av (11.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream,
    obsoleted by upstream changes.
  * skip another network-requiring test

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 12:09:23 +0100

python-av (10.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Build with ffmpeg 6.0 (Closes: #1041506, #1043015)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Aug 2023 14:05:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-av
 Section: python
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
@@ -18,7 +19,7 @@
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/python-av.git
 Vcs-Browser: https://salsa.debian.org/debian/python-av
 Homepage: https://pyav.org/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+# needed to resolve DEB_HOST_ARCH DEB_DISTRIBUTION
 include /usr/share/dpkg/pkg-info.mk
 
 # detect if build targets experimental suite (or is a draft)
@@ -18,6 +19,7 @@
  test_context_manager \
  test_data \
  test_decode_audio_sample_count \
+ test_decode_close_then_use \
  test_decoded_motion_vectors \
  test_decoded_time_base \
  test_decoded_video_frame_count \
@@ -50,9 +52,9 @@
 # https://github.com/PyAV-Org/PyAV/issues/915
 export PYBUILD_CLEAN_ARGS = || true
 
+%:
+	dh $@
+
 # avoid shipping sandbox test files
 execute_after_dh_auto_install:
 	find debian/*/usr/lib -path '*/sandbox*' -delete
-
-%:
-	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
   $py -m pytest --ignore=tests/test_doctests.py --ignore=tests/test_timeout.py -k 'not test_audio_transcode and not test_codec_tag and not test_container_probing and not test_context_manager and not test_data and not test_decode_audio_sample_count and not test_decoded_motion_vectors and not test_decoded_time_base and not test_decoded_video_frame_count and not test_decode_half and not test_deprecated_stream_seek and not test_encoding and not test_movtext and not test_parse and not test_reading and not test_seek_end and not test_seek_float and not test_seek_int64 and not test_seek_middle and not test_seek_start and not test_selection and not test_stream_probing and not test_stream_seek and not test_stream_tuples and not test_transcode and not test_vobsub and not test_reformat_pixel_format_align';
  done
 Depends:
+ python3-all,
  python3-av,
  python3-pytest,
 
@@ -17,5 +18,6 @@
 Restrictions: flaky, needs-internet
 Depends:
  ca-certificates,
+ python3-all,
  python3-av,
  python3-pytest,

## python-av 12.1.0

=== debian/changelog ===
python-av (12.1.0-2) unstable; urgency=medium

  * avoid network-requiring tests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 18:47:49 +0200

python-av (12.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 15:21:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
  tests/test_timeout.py
 BROKEN_TESTS = \
  test_audio_transcode \
+ test_bits_per_coded_sample \
+ test_codec_delay \
  test_codec_tag \
  test_container_probing \
  test_context_manager \
@@ -26,8 +28,21 @@
  test_decode_half \
  test_deprecated_stream_seek \
  test_encoding \
+ test_filter_flush \
+ test_filter_h264_mp4toannexb \
+ test_filter_output_parameters \
+ test_flush_decoded_video_frame_count \
+ test_frame_index \
+ test_is_corrupt \
+ test_is_discard \
+ test_is_disposable \
+ test_is_keyframe \
  test_movtext \
+ test_noside_data \
  test_parse \
+ test_path_input \
+ test_path_output \
+ test_penguin_joke \
  test_reading \
  test_seek_end \
  test_seek_float \
@@ -35,9 +50,14 @@
  test_seek_middle \
  test_seek_start \
  test_selection \
+ test_set_duration \
+ test_side_data \
+ test_sky_timelapse \
  test_stream_probing \
  test_stream_seek \
  test_stream_tuples \
+ test_str_input \
+ test_str_output \
  test_transcode \
  test_vobsub

=== debian/tests/control ===
Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest --ignore=tests/test_doctests.py --ignore=tests/test_timeout.py
  -k 'not test_audio_transcode
  and not test_bits_per_coded_sample
  and not test_codec_delay
  and not test_codec_tag
  and not test_container_probing
  and not test_context_manager
  and not test_data
  and not test_decode_audio_sample_count
  and not test_decode_close_then_use
  and not test_decoded_motion_vectors
  and not test_decoded_time_base
  and not test_decoded_video_frame_count
  and not test_decode_half
  and not test_deprecated_stream_seek
  and not test_encoding
  and not test_filter_flush
  and not test_filter_h264_mp4toannexb
  and not test_filter_output_parameters
  and not test_flush_decoded_video_frame_count
  and not test_frame_index
  and not test_is_corrupt
  and not test_is_discard
  and not test_is_disposable
  and not test_is_keyframe
  and not test_movtext
  and not test_noside_data
  and not test_parse
  and not test_path_input
  and not test_path_output
  and not test_penguin_joke
  and not test_reading
  and not test_seek_end
  and not test_seek_float
  and not test_seek_int64
  and not test_seek_middle
  and not test_seek_start
  and not test_selection
  and not test_set_duration
  and not test_side_data
  and not test_sky_timelapse
  and not test_stream_probing
  and not test_stream_seek
  and not test_stream_tuples
  and not test_str_input
  and not test_str_output
  and not test_transcode
  and not test_vobsub';
 done
Depends:
 python3-all,
 python3-av,
 python3-pytest,

Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest -k 'not test_reformat_pixel_format_align';
 done
Restrictions: flaky, needs-internet
Depends:
 ca-certificates,
 python3-all,
 python3-av,
 python3-pytest,

## python-av 12.3.0

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,10 @@
 	rsync -vrltLW rsync://fate-suite.ffmpeg.org/fate-suite/ tests/assets/fate-suite/
 
 lint:
-	black --check av examples tests
+	black --check av examples tests setup.py
 	flake8 av examples tests
 	isort --check-only --diff av examples tests
+	mypy av tests
 
 test:
 	$(PYTHON) setup.py test

=== docs/Makefile ===
--- 
+++ 
@@ -38,5 +38,5 @@
 	open _build/html/index.html
 
 upload:
-	rsync -avxP --delete _build/html/ pyav.org:/srv/pyav.org/www/httpdocs/docs/develop/
+	rsync -avxP --delete _build/html/ root@basswood-io.com:/var/www/pyav/docs/develop

=== tests/requirements.txt ===
cython
numpy
pillow
black
isort
flake8
flake8-pyproject
sphinx==5.1.0
mypy==1.10.0

=== debian/changelog ===
python-av (12.3.0-2ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:23:14 +0000

python-av (12.3.0-2ubuntu1) plucky; urgency=medium

  * d/p/0002-Improve-copying-data-from-numpy-to-frame-buffer.patch
    d/p/0003-Better-handling-of-images-where-the-stride-is-greate.patch
    - Add patches to fix frame copying for video. This is necessary
      for recording videos using picamera2 on Raspbery Pi
    - Made changes to patch 0002 as gbrp frame arrays are not
      contiguous
    - Thanks to David Plowman <david.plowman@raspberrypi.com> for
      these patches
  * d/control:
    - Update pkg-config -> pkgconf

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Wed, 08 Jan 2025 14:20:39 +0530

python-av (12.3.0-2build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:28 +0100

python-av (12.3.0-2build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:22:55 +0200

python-av (12.3.0-2) unstable; urgency=medium

  * add patch cherry-picked upstream to build with ffmpeg 7

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jul 2024 11:21:37 +0200

python-av (12.3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build:
    + rename test exception variables
    + make exceptions for 64-bit PowerPC arches
      (not relax all tests on those arches)
  * skip network-requiring test test_subtitle_flush
    at build-time and for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2024 08:53:23 +0200

python-av (12.2.0-2) unstable; urgency=medium

  * revive and extend workarounds
    for tests failing on 64-bit PowerPC arches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 18:19:54 +0200

python-av (12.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop no longer needed build routine workarounds

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 16:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  libavformat-dev,
  libavutil-dev,
  libswscale-dev,
- pkg-config,
+ pkgconf,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/python-av.git
 Vcs-Browser: https://salsa.debian.org/debian/python-av
 Homepage: https://pyav.org/

=== debian/tests/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
   and not test_stream_tuples
   and not test_str_input
   and not test_str_output
+  and not test_subtitle_flush
   and not test_transcode
   and not test_vobsub';
  done
@@ -55,16 +56,50 @@
  python3-all,
  python3-av,
  python3-pytest,
+Architecture: !ppc64 !ppc64el
 
 Test-Command:
  set -e;
  rm -rf av;
  for py in $(py3versions -r 2>/dev/null); do
-  $py -m pytest -k 'not test_reformat_pixel_format_align';
- done
-Restrictions: flaky, needs-internet
-Depends:
- ca-certificates,
- python3-all,
- python3-av,
- python3-pytest,
+  $py -m pytest --ignore=tests/test_doctests.py --ignore=tests/test_timeout.py
+  -k 'not test_audio_transcode
+  and not test_bits_per_coded_sample
+  and not test_codec_delay
+  and not test_codec_tag
+  and not test_container_probing
+  and not test_context_manager
+  and not test_data
+  and not test_decode_audio_sample_count
+  and not test_decode_close_then_use
+  and not test_decoded_motion_vectors
+  and not test_decoded_time_base
+  and not test_decoded_video_frame_count
+  and not test_decode_half
+  and not test_deprecated_stream_seek
+  and not test_encoding
+  and not test_filter_flush
+  and not test_filter_h264_mp4toannexb
+  and not test_filter_output_parameters
+  and not test_flush_decoded_video_frame_count
+  and not test_frame_index
+  and not test_is_corrupt
+  and not test_is_discard
+  and not test_is_disposable
+  and not test_is_keyframe
+  and not test_movtext
+  and not test_noside_data
+  and not test_parse
+  and not test_path_input
+  and not test_path_output
+  and not test_penguin_joke
+  and not test_reading
+  and not test_seek_end
+  and not test_seek_float
+  and not test_seek_int64
+  and not test_seek_middle
+  and not test_seek_start
+  and not test_selection
+  and not test_set_duration
+  and not test_side_data
+  and not test_sky_timelapse

## python-av 14.2.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 LDFLAGS ?= ""
-CFLAGS ?= "-O0"
+CFLAGS ?= "-O0 -Wno-incompatible-pointer-types -Wno-unreachable-code"
 
 PYAV_PYTHON ?= python
+PYAV_PIP ?= pip
 PYTHON := $(PYAV_PYTHON)
+PIP := $(PYAV_PIP)
 
 
 .PHONY: default build clean fate-suite lint test
@@ -11,6 +13,7 @@
 
 
 build:
+	$(PIP) install -U cython setuptools
 	CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) $(PYTHON) setup.py build_ext --inplace --debug
 
 clean:
@@ -25,10 +28,12 @@
 	rsync -vrltLW rsync://fate-suite.ffmpeg.org/fate-suite/ tests/assets/fate-suite/
 
 lint:
+	$(PIP) install -U black isort flake8 flake8-pyproject pillow numpy mypy==1.15.0 pytest
 	black --check av examples tests setup.py
-	flake8 av examples tests
+	flake8 av
 	isort --check-only --diff av examples tests
 	mypy av tests
 
 test:
-	$(PYTHON) setup.py test
+	$(PIP) install --upgrade cython numpy pillow pytest
+	$(PYTHON) -m pytest

=== docs/Makefile ===
SPHINXOPTS    =
BUILDDIR      = _build
PYAV_PIP ?= pip
PIP := $(PYAV_PIP)
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .

.PHONY: clean html open upload default

default: html

TEMPLATES := $(wildcard api/*.py development/*.py)
RENDERED := $(TEMPLATES:%.py=_build/rst/%.rst)

_build/rst/%.rst: %.py $(TAGFILE) $(shell find ../include ../av -name '*.pyx' -or -name '*.pxd')
	@ mkdir -p $(@D)
	python $< > $@.tmp
	mv $@.tmp $@

html: $(RENDERED)
	$(PIP) install -U sphinx sphinx-copybutton
	rm -rf $(BUILDDIR)
	sphinx-build -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

test:
	PYAV_SKIP_DOXYLINK=1 sphinx-build -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest

open:
	open _build/html/index.html

upload:
	rsync -avxP --delete _build/html/ root@basswood-io.com:/var/www/pyav/docs/develop

=== debian/changelog ===
python-av (14.2.0-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:32:16 +0000

python-av (14.2.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Update pkg-config -> pkgconf
    - d/p/0002-Improve-copying-data-from-numpy-to-frame-buffer.patch: Improve copying data from numpy to frame buffer
    - d/p/0003-Better-handling-of-images-where-the-stride-is-greate.patch: Better handling of images where the stride is greater than the width

 -- Ankush Pathak <ankush.pathak@canonical.com>  Wed, 14 May 2025 16:07:46 +0200

python-av (14.2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage
  * adjust tests to skip

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Mar 2025 23:45:20 +0100

python-av (14.0.1-1) experimental; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Dec 2024 19:38:47 +0100

python-av (14.0.0-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream, now obsolete
  * avoid additional network-requiring tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Dec 2024 14:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/python-av.git
 Vcs-Browser: https://salsa.debian.org/debian/python-av
 Homepage: https://pyav.org/

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,10 @@
 # avoid shipping sandbox test files
 export DH_OPTIONS = -O--buildsystem=pybuild
 
-BROKEN_TESTFILES = \
+TESTFILES_BROKEN = \
  tests/test_doctests.py \
  tests/test_timeout.py
-BROKEN_TESTS = \
+TESTS_NET = \
  test_audio_transcode \
  test_bits_per_coded_sample \
  test_codec_delay \
@@ -37,12 +37,16 @@
  test_is_discard \
  test_is_disposable \
  test_is_keyframe \
+ test_loudnorm \
  test_movtext \
- test_noside_data \
+ test_no_side_data \
+ test_opaque \
  test_parse \
  test_path_input \
  test_path_output \
  test_penguin_joke \
+ test_printing_video_stream \
+ test_printing_video_stream2 \
  test_reading \
  test_seek_end \
  test_seek_float \
@@ -58,19 +62,22 @@
  test_stream_tuples \
  test_str_input \
  test_str_output \
+ test_subtitle_flush \
+ test_subtitle_muxing \
  test_transcode \
  test_vobsub
+ifeq (,$(filter ppc64 ppc64el,$(DEB_HOST_ARCH)))
+TESTS_NET += \
+ test_reformat_pixel_format_align \
+ test_encoding_h264
+endif
 
-# ignore test_reformat_pixel_format_align failing on PowerPC
+# ignore test failure on 64-bit PowerPC
 # https://github.com/PyAV-Org/PyAV/issues/834
+# https://github.com/PyAV-Org/PyAV/issues/1452
 export PYBUILD_TEST_ARGS = \
- $(patsubst %,--ignore=%,$(BROKEN_TESTFILES)) \
- -k 'not $(subst $() , and not ,$(strip $(BROKEN_TESTS)))' \
- $(if $(or $(DEB_SUITE_EXP),$(filter ppc64 ppc64el,$(DEB_HOST_ARCH))),|| true)
-
-# work around upstream resolving FFMpeg headers during cleanup
-# https://github.com/PyAV-Org/PyAV/issues/915
-export PYBUILD_CLEAN_ARGS = || true
+ $(patsubst %,--ignore=%,$(TESTFILES_BROKEN)) \
+ -k 'not $(subst $() , and not ,$(strip $(TESTS_NET)))'
 
 %:
 	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -27,12 +27,16 @@
   and not test_is_discard
   and not test_is_disposable
   and not test_is_keyframe
+  and not test_loudnorm
   and not test_movtext
-  and not test_noside_data
+  and not test_no_side_data
+  and not test_opaque
   and not test_parse
   and not test_path_input
   and not test_path_output
   and not test_penguin_joke
+  and not test_printing_video_stream
+  and not test_printing_video_stream2
   and not test_reading
   and not test_seek_end
   and not test_seek_float
@@ -49,6 +53,7 @@
   and not test_str_input
   and not test_str_output
   and not test_subtitle_flush
+  and not test_subtitle_muxing
   and not test_transcode
   and not test_vobsub';
  done
@@ -87,19 +92,12 @@
   and not test_is_discard
   and not test_is_disposable
   and not test_is_keyframe
+  and not test_loudnorm
   and not test_movtext
-  and not test_noside_data
+  and not test_no_side_data
+  and not test_opaque
   and not test_parse
   and not test_path_input
   and not test_path_output
   and not test_penguin_joke
-  and not test_reading
-  and not test_seek_end
-  and not test_seek_float
-  and not test_seek_int64
-  and not test_seek_middle
-  and not test_seek_start
-  and not test_selection
-  and not test_set_duration
-  and not test_side_data
-  and not test_sky_timelapse
+  and not test_printing_video_stream

=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,5 @@
 opts=\
 filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
 dversionmangle=auto \
-https://github.com/PyAV-Org/pyav-ffmpeg/tags \
+https://github.com/PyAV-Org/PyAV/tags \
 .*?@ANY_VERSION@@ARCHIVE_EXT@

## python-av 16.0.1

=== debian/changelog ===
python-av (16.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + support FFmpeg 8;
      closes: bug#1115041

  [ Jonas Smedegaard ]
  * have pytest emit verbose output unless DEB_BUILD_OPTIONS=terse,
    and print test log when check fails
  * add metadata about upstream project
  * drop watch file: use upstream metadata instead
  * skip more network-requiring tests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Dec 2025 15:44:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 # detect if build targets experimental suite (or is a draft)
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
 
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+export PYBUILD_TEST_ARGS=-vv
+endif
+
 # avoid shipping sandbox test files
 export DH_OPTIONS = -O--buildsystem=pybuild
 
@@ -13,8 +17,10 @@
  tests/test_doctests.py \
  tests/test_timeout.py
 TESTS_NET = \
+ test_attachment_stream \
  test_audio_transcode \
  test_bits_per_coded_sample \
+ test_chapters \
  test_codec_delay \
  test_codec_tag \
  test_container_probing \
@@ -32,15 +38,19 @@
  test_filter_h264_mp4toannexb \
  test_filter_output_parameters \
  test_flush_decoded_video_frame_count \
+ test_frame_duration_matches_packet \
  test_frame_index \
+ test_interpolation \
  test_is_corrupt \
  test_is_discard \
  test_is_disposable \
  test_is_keyframe \
+ test_iter \
  test_loudnorm \
  test_movtext \
  test_no_side_data \
  test_opaque \
+ test_palette \
  test_parse \
  test_path_input \
  test_path_output \
@@ -54,6 +64,7 @@
  test_seek_middle \
  test_seek_start \
  test_selection \
+ test_set_chapters \
  test_set_duration \
  test_side_data \
  test_sky_timelapse \
@@ -62,9 +73,11 @@
  test_stream_tuples \
  test_str_input \
  test_str_output \
+ test_subset \
  test_subtitle_flush \
  test_subtitle_muxing \
  test_transcode \
+ test_video_remux \
  test_vobsub
 ifeq (,$(filter ppc64 ppc64el,$(DEB_HOST_ARCH)))
 TESTS_NET += \
@@ -75,7 +88,7 @@
 # ignore test failure on 64-bit PowerPC
 # https://github.com/PyAV-Org/PyAV/issues/834
 # https://github.com/PyAV-Org/PyAV/issues/1452
-export PYBUILD_TEST_ARGS = \
+export PYBUILD_TEST_ARGS += \
  $(patsubst %,--ignore=%,$(TESTFILES_BROKEN)) \
  -k 'not $(subst $() , and not ,$(strip $(TESTS_NET)))'

## python-av 16.1.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: python-av
 Section: python
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
@@ -13,17 +11,16 @@
  libavformat-dev,
  libavutil-dev,
  libswscale-dev,
- pkgconf,
+ pkg-config,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/python-av.git
 Vcs-Browser: https://salsa.debian.org/debian/python-av
 Homepage: https://pyav.org/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-av

## python-av 16.1.0+ds

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 
 build:
-	$(PIP) install -U cython setuptools
+	$(PIP) install -U --pre cython setuptools
 	CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) $(PYTHON) setup.py build_ext --inplace --debug
 
 clean:
@@ -25,12 +25,12 @@
 
 fate-suite:
 	# Grab ALL of the samples from the ffmpeg site.
+	mkdir -p tests/assets/fate-suite/
 	rsync -vrltLW rsync://fate-suite.ffmpeg.org/fate-suite/ tests/assets/fate-suite/
 
 lint:
-	$(PIP) install -U black isort flake8 flake8-pyproject pillow numpy mypy==1.15.0 pytest
-	black --check av examples tests setup.py
-	flake8 av
+	$(PIP) install -U ruff isort pillow numpy mypy==1.17.1 pytest
+	ruff format --check av examples tests setup.py
 	isort --check-only --diff av examples tests
 	mypy av tests

=== debian/changelog ===
python-av (16.1.0+ds-3) unstable; urgency=medium

  * really declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jan 2026 15:42:56 +0100

python-av (16.1.0+ds-2) unstable; urgency=medium

  * skip more network-requiring tests;
    closes: bug#1125656, thanks to Santiago Vila
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jan 2026 19:25:51 +0100

python-av (16.1.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstream source to avoid any .git* files
  * add watch file, setting Repack-Suffix: +ds
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Jan 2026 16:16:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
  test_attachment_stream \
  test_audio_transcode \
  test_bits_per_coded_sample \
+ test_buffer_protocol \
  test_chapters \
  test_codec_delay \
  test_codec_tag \
@@ -30,6 +31,8 @@
  test_decode_close_then_use \
  test_decoded_motion_vectors \
  test_decoded_time_base \
+ test_decoded_video_enc_params \
+ test_decoded_video_enc_params_no_flag \
  test_decoded_video_frame_count \
  test_decode_half \
  test_deprecated_stream_seek \
@@ -67,6 +70,7 @@
  test_set_chapters \
  test_set_duration \
  test_side_data \
+ test_skip_samples_remux \
  test_sky_timelapse \
  test_stream_probing \
  test_stream_seek \
@@ -75,6 +79,7 @@
  test_str_output \
  test_subset \
  test_subtitle_flush \
+ test_subtitle_header_read \
  test_subtitle_muxing \
  test_transcode \
  test_video_remux \

=== debian/tests/control ===
Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest --ignore=tests/test_doctests.py --ignore=tests/test_timeout.py
  -k 'not test_attachment_stream
  and not test_audio_transcode
  and not test_bits_per_coded_sample
  and not test_buffer_protocol
  and not test_chapters
  and not test_codec_delay
  and not test_codec_tag
  and not test_container_probing
  and not test_context_manager
  and not test_data
  and not test_decode_audio_sample_count
  and not test_decode_close_then_use
  and not test_decoded_motion_vectors
  and not test_decoded_time_base
  and not test_decoded_video_enc_params
  and not test_decoded_video_enc_params_no_flag
  and not test_decoded_video_frame_count
  and not test_decode_half
  and not test_deprecated_stream_seek
  and not test_encoding
  and not test_filter_flush
  and not test_filter_h264_mp4toannexb
  and not test_filter_output_parameters
  and not test_flush_decoded_video_frame_count
  and not test_frame_duration_matches_packet
  and not test_frame_index
  and not test_interpolation
  and not test_is_corrupt
  and not test_is_discard
  and not test_is_disposable
  and not test_is_keyframe
  and not test_iter
  and not test_loudnorm
  and not test_movtext
  and not test_no_side_data
  and not test_opaque
  and not test_palette
  and not test_parse
  and not test_path_input
  and not test_path_output
  and not test_penguin_joke
  and not test_printing_video_stream
  and not test_printing_video_stream2
  and not test_reading
  and not test_seek_end
  and not test_seek_float
  and not test_seek_int64
  and not test_seek_middle
  and not test_seek_start
  and not test_selection
  and not test_set_chapters
  and not test_set_duration
  and not test_side_data
  and not test_skip_samples_remux
  and not test_sky_timelapse
  and not test_stream_probing
  and not test_stream_seek
  and not test_stream_tuples
  and not test_str_input
  and not test_str_output
  and not test_subset
  and not test_subtitle_flush
  and not test_subtitle_header_read
  and not test_subtitle_muxing
  and not test_transcode
  and not test_video_remux
  and not test_vobsub';
 done
Depends:
 python3-all,
 python3-av,
 python3-pytest,
Architecture: !ppc64 !ppc64el

Test-Command:
 set -e;
 rm -rf av;
 for py in $(py3versions -r 2>/dev/null); do
  $py -m pytest --ignore=tests/test_doctests.py --ignore=tests/test_timeout.py
  -k 'not test_attachment_stream
  and not test_audio_transcode
  and not test_bits_per_coded_sample
  and not test_buffer_protocol
  and not test_chapters
  and not test_codec_delay
  and not test_codec_tag
  and not test_container_probing
  and not test_context_manager
  and not test_data
  and not test_decode_audio_sample_count
  and not test_decode_close_then_use
  and not test_decoded_motion_vectors
  and not test_decoded_time_base
  and not test_decoded_video_enc_params
  and not test_decoded_video_enc_params_no_flag
  and not test_decoded_video_frame_count
  and not test_decode_half

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: PyAV-Org
Project: PyAV
Dversion-Mangle: auto
Repack-Suffix: +ds
